%global srcname kivy

Name:           python3-kivy
Version:        2.0.0
Release:        1%{?dist}
License:        LGPL-3.0
Summary:        Kivy - Multimedia / Multitouch framework in Python
Url:            http://kivy.org
Source0:        https://pypi.python.org/packages/source/K/Kivy/Kivy-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_image-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  SDL2_ttf-devel
BuildRequires:  gstreamer1-devel
%ifarch armel arm
BuildRequires:  pkgconfig(glesv2)
%else
BuildRequires:  python3-pkgconfig
%endif
BuildRequires:  mesa-libGL-devel

Requires:       python3-imaging
Requires:       python3-pygame
Requires:       python3-gstreamer1
Requires:       python3-enchant
Requires:       kivy-garden

Provides:       python3-kivy
Provides:       pythonegg(kivy)

%description
Kivy is an open source library for developing multi-touch applications. It is \
completely cross platform (Linux/OSX/Win/Android) and released under the terms \
of the GNU LGPL V3. \
\
It comes with native support for many multi-touch input devices, a growing \
library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and \
an architecture that is designed to let you focus on building custom and highly \
interactive applications as quickly and easily as possible. \
\
Kivy is a mixed Python library with Cython code, to take advantage of its \
highly dynamic nature and use any of the thousands of high quality and open \
source python libraries out there, with the speed of C code.


%package examples
Summary:        Hardware-accelerated multitouch application library - Documentation
Group:          Documentation/Other
Requires:       %{name} = %{version}
Provides:       python3-kivy-examples

%description examples
Kivy is an open source software library for rapid development of applications
that make use of innovative user interfaces, such as multi-touch apps.

This package contains the examples

%package doc
Summary:        Documentation for %{name}
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
Kivy is an open source software library for rapid development of applications
that make use of innovative user interfaces, such as multi-touch apps.

This package contains the developer documentation

%prep
%setup -q -n Kivy-%{version}

%build
%py3_build
#cd doc && make html && rm -r build/html/.buildinfo # Build HTML documentation

%install
%py3_install


%files
%doc AUTHORS
%license LICENSE
%{python3_sitearch}/kivy/
%{python3_sitearch}/Kivy-%{version}-py*.egg-info

%files examples
%{_datadir}/kivy-examples

%files doc
#%doc doc/build/html


%changelog
* Wed Jan 25 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.9.1-1
- Initial build
